/*
    Javadoc Dracula Style Sheet

    Authors: Allan Im
    https://raw.githubusercontent.com/dracula/javadoc/master/styles/dracula-javadoc8.css
*/
@import url(https://fonts.googleapis.com/css?family=Open+Sans|Roboto);

body {
    background-color: #3C4556;
    color: #f8f8f2;
    font-family: 'Open Sans', Arial, Helvetica, sans-serif;
    font-size: 14px;
    margin: 0;
}

a:link, a:visited {
    text-decoration: none;
    color: #737373;
}

a:hover, a:focus {
    text-decoration: none;
    color: #50fa7b;
    font-weight: bold;
}

a:active {
    text-decoration: none;
    color: #ff5555;
}

a[name] {
    color: #f8f8f2;
}

a[name]:hover {
    text-decoration: none;
    color: #f8f8f2;
}

pre {
    font-family: 'Open Sans', monospace;
    font-size: 14px;
}

h1 {
    font-size: 20px;
}

h2 {
    font-size: 18px;
}

h3 {
    font-size: 16px;
    font-style: italic;
}

h4 {
    font-size: 13px;
}

h5 {
    font-size: 12px;
}

h6 {
    font-size: 11px;
}

ul {
    list-style-type: disc;
}

code, tt {
    font-family: 'Roboto', monospace;
    font-size: 14px;
    padding-top: 4px;
    margin-top: 8px;
    line-height: 1.4em;
}

dt code {
    font-family: 'Roboto', monospace;
    font-size: 14px;
    padding-top: 4px;
}

table tr td dt code {
    font-family: 'Roboto', monospace;
    font-size: 14px;
    vertical-align: top;
    padding-top: 4px;
}

sup {
    font-size: 8px;
}

/*
Document title and Copyright styles
*/
.clear {
    clear: both;
    height: 0;
    overflow: hidden;
}

.aboutLanguage {
    float: right;
    padding: 0 21px;
    font-size: 11px;
    z-index: 200;
    margin-top: -9px;
}

.legalCopy {
    margin-left: .5em;
}

.bar a, .bar a:link, .bar a:visited, .bar a:active {
    color: #737373;
    text-decoration: none;
}

.bar a:hover, .bar a:focus {
    color: #ff5555;
}

.tab {
    background-color: #737373;
    color: #282a36;
    padding: 8px;
    width: 5em;
    font-weight: bold;
}

/*
Navigation bar styles
*/
.bar {
    background-color: #44475a;
    color: #f8f8f2;
    padding: .8em .5em .4em .8em;
    height: auto; /*height:1.8em;*/
    font-size: 11px;
    margin: 0;
    border-bottom: 2px solid #ffa500;
}

.topNav {
    color: #f8f8f2;
    float: left;
    width: 100%;
    clear: right;
    height: 2.8em;
    padding: 10px 0 0;
    overflow: hidden;
    font-size: 12px;
    border-bottom: 4px solid #737373;
}

.bottomNav {
    margin-top: 10px;
    background-color: #44475a;
    color: #f8f8f2;
    float: left;
    width: 100%;
    clear: right;
    height: 2.8em;
    padding: 10px 0 0;
    overflow: hidden;
    font-size: 12px;
    border-bottom: 4px solid #737373;
}

.subNav {
    background-color: #3a4462;
    float: left;
    width: 100%;
    overflow: hidden;
    font-size: 12px;
    border-bottom: 2px solid #ffa500;
}

.subNav div {
    clear: left;
    float: left;
    padding: 0 0 5px 6px;
    text-transform: uppercase;
}

ul.navList, ul.subNavList {
    float: left;
    margin: 0 25px 0 0;
    padding: 0;
}

ul.navList li {
    list-style: none;
    float: left;
    padding: 5px 6px;
    text-transform: uppercase;
}

ul.subNavList li {
    list-style: none;
    float: left;
}

.topNav a:link, .topNav a:active, .topNav a:visited, .bottomNav a:link, .bottomNav a:active, .bottomNav a:visited {
    color: #f8f8f2;
    text-decoration: none;
    text-transform: uppercase;
}

.topNav a:hover, .bottomNav a:hover {
    text-decoration: none;
    color: #737373;
    font-weight: bold;
    text-transform: uppercase;
}

.navBarCell1Rev {
    /*background-color: rgba(139,233,253,0.2);*/
    color: #737373;
    border: 1px solid #737373;
    border-radius: 5px;
    margin: auto 5px;
}

.skipNav {
    position: absolute;
    top: auto;
    left: -9999px;
    overflow: hidden;
}

/*
Page header and footer styles
*/
.header, .footer {
    clear: both;
    margin: 0 20px;
    padding: 5px 0 0 0;
}

.indexHeader {
    margin: 10px;
    position: relative;
}

.indexHeader span {
    margin-right: 15px;
}

.indexHeader h1 {
    font-size: 13px;
}

.title {
    color: #ffa500;
    margin: 10px 0;
}

.subTitle {
    margin: 5px 0 0 0;
}

.header ul {
    margin: 0 0 15px 0;
    padding: 0;
}

.footer ul {
    margin: 20px 0 5px 0;
}

.header ul li, .footer ul li {
    list-style: none;
    font-size: 13px;
}

/*
Heading styles
*/
div.details ul.blockList ul.blockList ul.blockList li.blockList h4, div.details ul.blockList ul.blockList ul.blockListLast li.blockList h4 {
    background-color: #3a4462;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
    margin: 0 0 6px -8px;
    padding: 7px 10px;
}

ul.blockList ul.blockList ul.blockList li.blockList h3 {
    background-color: #3a4462;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
    margin: 0 0 6px -8px;
    padding: 7px 10px;
}

ul.blockList ul.blockList li.blockList h3 {
    padding: 0;
    margin: 15px 0;
}

ul.blockList li.blockList h2 {
    padding: 0 0 20px 0;
}

/*
Page layout container styles
*/
.contentContainer, .sourceContainer, .classUseContainer, .serializedFormContainer, .constantValuesContainer {
    clear: both;
    padding: 10px 20px;
    position: relative;
}

.indexContainer {
    margin: 10px;
    position: relative;
    font-size: 12px;
}

.indexContainer h2 {
    font-size: 13px;
    padding: 0 0 3px 0;
}

.indexContainer ul {
    margin: 0;
    padding: 0;
}

.indexContainer ul li {
    list-style: none;
    padding-top: 2px;
}

.contentContainer .description dl dt, .contentContainer .details dl dt, .serializedFormContainer dl dt {
    font-size: 12px;
    font-weight: bold;
    margin: 10px 0 0 0;
    color: #f1fa8c;
}

.contentContainer .description dl dd, .contentContainer .details dl dd, .serializedFormContainer dl dd {
    margin: 5px 0 10px 0;
    font-size: 14px;
    font-family: 'Open Sans', monospace;
}

.serializedFormContainer dl.nameValue dt {
    margin-left: 1px;
    font-size: 1.1em;
    display: inline;
    font-weight: bold;
}

.serializedFormContainer dl.nameValue dd {
    margin: 0 0 0 1px;
    font-size: 1.1em;
    display: inline;
}

/*
List styles
*/
ul.horizontal li {
    display: inline;
    font-size: 0.9em;
}

ul.inheritance {
    margin: 0;
    padding: 0;
}

ul.inheritance li {
    display: inline;
    list-style: none;
}

ul.inheritance li ul.inheritance {
    margin-left: 15px;
    padding-left: 15px;
    padding-top: 1px;
}

ul.blockList, ul.blockListLast {
    margin: 10px 0 10px 0;
    padding: 0;
}

ul.blockList li.blockList, ul.blockListLast li.blockList {
    list-style: none;
    margin-bottom: 15px;
    line-height: 1.4;
}

ul.blockList ul.blockList li.blockList, ul.blockList ul.blockListLast li.blockList {
    padding: 0 20px 5px 10px;
    border: 1px solid rgba(255, 121, 198, 0.3);
    border-radius: 3px;
    background-color: #44475a;
}

ul.blockList ul.blockList ul.blockList li.blockList, ul.blockList ul.blockList ul.blockListLast li.blockList {
    padding: 0 0 5px 8px;
    background-color: #282a36;
    border: none;
}

ul.blockList ul.blockList ul.blockList ul.blockList li.blockList {
    margin-left: 0;
    padding-left: 0;
    padding-bottom: 15px;
    border: none;
}

ul.blockList ul.blockList ul.blockList ul.blockList li.blockListLast {
    list-style: none;
    border-bottom: none;
    padding-bottom: 0;
}

table tr td dl, table tr td dl dt, table tr td dl dd {
    margin-top: 0;
    margin-bottom: 1px;
}

/*
Table styles
*/
.overviewSummary, .memberSummary, .typeSummary, .useSummary, .constantsSummary, .deprecatedSummary {
    width: 100%;
}

.overviewSummary, .memberSummary {
    padding: 0;
}

.overviewSummary caption, .memberSummary caption, .typeSummary caption,
.useSummary caption, .constantsSummary caption, .deprecatedSummary caption {
    position: relative;
    text-align: left;
    background-repeat: no-repeat;
    color: #f8f8f2;
    font-weight: bold;
    clear: none;
    overflow: hidden;
    padding: 10px 0 0 1px;
    margin: 0;
    white-space: pre;
}

.overviewSummary caption a:link, .memberSummary caption a:link, .typeSummary caption a:link,
.useSummary caption a:link, .constantsSummary caption a:link, .deprecatedSummary caption a:link,
.overviewSummary caption a:hover, .memberSummary caption a:hover, .typeSummary caption a:hover,
.useSummary caption a:hover, .constantsSummary caption a:hover, .deprecatedSummary caption a:hover,
.overviewSummary caption a:active, .memberSummary caption a:active, .typeSummary caption a:active,
.useSummary caption a:active, .constantsSummary caption a:active, .deprecatedSummary caption a:active,
.overviewSummary caption a:visited, .memberSummary caption a:visited, .typeSummary caption a:visited,
.useSummary caption a:visited, .constantsSummary caption a:visited, .deprecatedSummary caption a:visited {
    color: #f8f8f2;
}

.overviewSummary caption span, .memberSummary caption span, .typeSummary caption span,
.useSummary caption span, .constantsSummary caption span, .deprecatedSummary caption span {
    white-space: nowrap;
    padding: 5px 12px 7px;
    display: inline-block;
    float: left;
    background-color: #ffa500;
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
    border: none;
    height: 16px;
}

.memberSummary caption span.activeTableTab span {
    white-space: nowrap;
    padding-top: 5px;
    padding-left: 12px;
    padding-right: 12px;
    margin-right: 5px;
    display: inline-block;
    float: left;
    background-color: #ffa500;
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
    height: 16px;
}

.memberSummary caption span.tableTab span {
    white-space: nowrap;
    padding-top: 5px;
    padding-left: 12px;
    padding-right: 12px;
    margin-right: 5px;
    display: inline-block;
    float: left;
    background-color: rgba(255, 121, 198, 0.3);
    border-top-right-radius: 5px;
    border-top-left-radius: 5px;
    height: 16px;
}

.memberSummary caption span.tableTab, .memberSummary caption span.activeTableTab {
    padding-top: 0;
    padding-left: 0;
    padding-right: 0;
    background-image: none;
    float: none;
    display: inline;
}

.overviewSummary .tabEnd, .memberSummary .tabEnd, .typeSummary .tabEnd,
.useSummary .tabEnd, .constantsSummary .tabEnd, .deprecatedSummary .tabEnd {
    display: none;
    width: 5px;
    position: relative;
    float: left;
    background-color: #ffa500;
}

.memberSummary .activeTableTab .tabEnd {
    display: none;
    width: 5px;
    margin-right: 3px;
    position: relative;
    float: left;
    background-color: #ffa500;
}

.memberSummary .tableTab .tabEnd {
    display: none;
    width: 5px;
    margin-right: 3px;
    position: relative;
    background-color: #3a4462;
    float: left;

}

.overviewSummary td, .memberSummary td, .typeSummary td,
.useSummary td, .constantsSummary td, .deprecatedSummary td {
    text-align: left;
    padding: 0 0 12px 10px;
    width: 100%;
}

th.colOne, th.colFirst, th.colLast, .useSummary th, .constantsSummary th,
td.colOne, td.colFirst, td.colLast, .useSummary td, .constantsSummary td {
    vertical-align: top;
    padding-right: 0;
    padding-top: 8px;
    padding-bottom: 3px;
}

th.colFirst, th.colLast, th.colOne, .constantsSummary th {
    background: #3a4462;
    text-align: left;
    padding: 8px 3px 3px 7px;
}

td.colFirst, th.colFirst {
    white-space: nowrap;
    font-size: 13px;
}

td.colLast, th.colLast {
    font-size: 13px;
}

td.colOne, th.colOne {
    font-size: 13px;
}

.overviewSummary td.colFirst, .overviewSummary th.colFirst,
.overviewSummary td.colOne, .overviewSummary th.colOne,
.memberSummary td.colFirst, .memberSummary th.colFirst,
.memberSummary td.colOne, .memberSummary th.colOne,
.typeSummary td.colFirst {
    width: 25%;
    vertical-align: top;
}

td.colOne a:link, td.colOne a:active, td.colOne a:visited, td.colOne a:hover, td.colFirst a:link, td.colFirst a:active, td.colFirst a:visited, td.colFirst a:hover, td.colLast a:link, td.colLast a:active, td.colLast a:visited, td.colLast a:hover, .constantValuesContainer td a:link, .constantValuesContainer td a:active, .constantValuesContainer td a:visited, .constantValuesContainer td a:hover {
    font-weight: bold;
}

.tableSubHeadingColor {
    background-color: #EEEEFF;
}

.altColor {
    background-color: #282a36;
}

.rowColor {
    background-color: #282a36;
}

.altColor .colFirst, .altColor .colLast, .altColor .colOne {
    border-bottom: 1px solid #ffa500;
}

.rowColor .colFirst, .rowColor .colLast, .rowColor .colOne {
    border-bottom: 1px solid #ffa500;
}

/*
Content styles
*/
.description pre {
    margin-top: 0;
}

.deprecatedContent {
    margin: 0;
    padding: 10px 0;
}

.docSummary {
    padding: 0;
}

ul.blockList ul.blockList ul.blockList li.blockList h3 {
    font-style: normal;
}

div.block {
    font-size: 14px;
    font-family: 'Roboto', Georgia, "Times New Roman", Times, serif;
}

td.colLast div {
    padding-top: 0;
}

td.colLast a {
    padding-bottom: 3px;
}

/*
Formatting effect styles
*/
.sourceLineNo {
    color: #50fa7b;
    padding: 0 30px 0 0;
}

h1.hidden {
    visibility: hidden;
    overflow: hidden;
    font-size: 10px;
}

.block {
    display: block;
    margin: 3px 10px 2px 0;
    color: #f8f8f2;
}

.deprecatedLabel, .descfrmTypeLabel, .memberNameLabel, .memberNameLink,
.overrideSpecifyLabel, .packageHierarchyLabel, .paramLabel, .returnLabel,
.seeLabel, .simpleTagLabel, .throwsLabel, .typeNameLabel, .typeNameLink {
    font-weight: bold;
}

.deprecationComment, .emphasizedPhrase, .interfaceName {
    font-style: italic;
}

div.block div.block span.deprecationComment, div.block div.block span.emphasizedPhrase,
div.block div.block span.interfaceName {
    font-style: normal;
}

div.contentContainer ul.blockList li.blockList h2 {
    padding-bottom: 0;
}